"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = exports.config = void 0;
const deepmerge_1 = require("deepmerge");
const debug_1 = require("./debug");
let internalConfig = {
    api: {
        blacklist: [],
        cors: false,
    },
};
const config = (options) => {
    debug_1.log.debug('[CONFIG] Updating config with', options);
    internalConfig = (0, deepmerge_1.all)([internalConfig, options]);
    debug_1.log.debug('[CONFIG] Used config', internalConfig);
};
exports.config = config;
const getConfig = () => internalConfig;
exports.getConfig = getConfig;
//# sourceMappingURL=config.js.map