"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorNotUnique = void 0;
const errorNotUnique = (field, path) => ({
    name: 'ValidationError',
    details: [
        {
            message: `"${field}" is not unique`,
            path: path || field,
            type: 'any.unique',
            context: {
                key: path || field,
            },
        },
    ],
});
exports.errorNotUnique = errorNotUnique;
//# sourceMappingURL=errors.js.map