export interface IApiConfigCorsOptions {
    origin: string;
    credentials: boolean;
    methods: string[];
    allowHeaders: string[];
    exposeHeaders: string[];
    maxAge: string;
}
export interface IApiConfigOptions {
    cors: boolean | IApiConfigCorsOptions;
    blacklist?: string[];
}
export interface IConfigOptions {
    api: IApiConfigOptions;
}
export declare const config: (options: IConfigOptions) => void;
export declare const getConfig: () => IConfigOptions;
